import { createApp } from 'vue'
import 'virtual:windi.css'

import VConsole from 'vconsole';
const vConsole = new VConsole();

import App from './App.vue'
import router from './router/index'

// import 'element-plus/es/components/message/style/css'
// import 'element-plus/es/components/message-box/style/css'

// Toast
import 'vant/es/toast/style';

// Dialog
import 'vant/es/dialog/style';

// Notify
import 'vant/es/notify/style';

// ImagePreview
import 'vant/es/image-preview/style';

createApp(App).use(router).mount('#appx')

// console navagator property by group
console.groupCollapsed('navigator');
for (let key of ['appCodeName', 'appName', 'appVersion', 'platform', 'product', 'userAgent', 'vendor']) {
  console.log(key, navigator[key]);
}
console.groupEnd();

